coooder

Tags: Extensions Writer

Rating: ★ ★ ★ ☆ ☆

Coooder is a syntax highlighting extension for Writer. It is a port of the GeSHi engine to LibreOffice, so it handles all the languages GeSHi can handle. It also creates styles for each colorized elements to easily change the colours to what suits you bes

coooder 3fc22001 ebd7 4a8d 9417 63d9a7d9ecf4

Description

This extension provides syntax highlighting features for OpenOffice.org. COOoder will be usefull for developers wanting to present code fragments in writer documents. The colors used are the same than the ones from GeSHi. Character styles will be created for each language element.

Release List

  • Release Description Compatibility Operating Systems License Release notes  
  • 1.1.2 Bug fix release 3.3 LGPL

     

    • Fixed windows blocking problem
    • Fixed some missing properties in the language configuration files
    Download

Feedback

★ ★ ★ ☆ ☆

Post your review

Reviews

  • vlad Oct 22, 2020, 4:41 PM (4 days ago)

    ★ ★ ★ ★ ★

    AAAAAAAAHHHHHH IM GONNA COOOOOOOOOOOOOOOOOOODE

  • spirit Oct 17, 2020, 8:52 PM (9 days ago)

    ★ ★ ★ ★ ☆

    good and simple to use. I wish you add lilypond to the list.

  • hpm Oct 6, 2020, 12:08 PM (21 days ago)

    ★ ★ ★ ★ ★

    Worked out of the box - great tool with very good results. Under LO 7.0 Windows no Problems. Under LO 7.0 Linux invisible (no icon, no menu-entry - just undiscoverable)

  • aspie Sep 10, 2020, 6:56 PM (46 days ago)

    ☆ ☆ ☆ ☆ ☆

    I succeccfully installed this. What now
    how to use this

  • Abhay Sep 9, 2020, 6:06 PM (47 days ago)

    ★ ★ ★ ★ ★

    worked right out of the box!!
    Thank you for creating this much needed utility.. helps so much in keeping some documents about scripts and code snippets.

  • zorif Jul 19, 2020, 10:21 PM (3 months ago)

    ★ ☆ ☆ ☆ ☆

    Error on Installation: java.lang.reflect.Invocation.TargetException

    Using Linux 20.04 & Libre Office Version: 6.4.4.2

  • max Jun 8, 2020, 8:08 PM (5 months ago)

    ☆ ☆ ☆ ☆ ☆

    I was trying to install your extension on open office writer under windows 8. But I get the following error message (install failure): and install "Could not create Java implementation loader"

    • Helmuts Jul 9, 2020, 5:56 PM (4 months ago)

      It worked fine on LibreOffice 6.4.4.2. I don't think OpenOffice is supported at all.

RSS feed for reviews on this page | RSS feed for all reviews